﻿
@{
    ViewData["Title"] = "مشاوران";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<style>
    input[data-role='timepicker'] {
        font-family: Arial, sans-serif !important;
        direction: ltr;
    }
</style>
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<Counselor>()
           .Name("grid")
           .Events(e => e.Edit("Edit"))
           .Columns(columns =>
           {
               columns.Bound(c => c.Image).ClientTemplate(
                           "<img src='" + Url.Content("/Uploads/CounselorImage/") + "#=Image#' alt='#=Image#' Title='#=Image#'  width='90'/>").Width(100);

                columns.Bound(c => c.Thumbnail).ClientTemplate(
                           "<img src='" + Url.Content("/Uploads/CounselorThumbnail/") + "#=Thumbnail#' alt='#=Thumbnail#' Title='#=Thumbnail#'  width='90'/>").Width(100);

               columns.Bound(c => c.Name);
               columns.Bound(c => c.Post);
               columns.Bound(c => c.Education);
               columns.Bound(c => c.Price).Format("{0:n0} تومان");             
               columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
           })
          .ToolBar(toolbar =>
          {
              toolbar.Create().Text("افزودن مشاور");
          })
          .Groupable()
          .ColumnMenu()

          .Editable(editable =>
          {
              editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
              editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
          }
          )
          .Pageable(pageable => pageable
               .Refresh(true)
               .PageSizes(true)
               .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
               .PageSizes(new int[] { 10, 20, 30 }))
          .Navigatable()
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Sortable(sortable =>
          {
              sortable.SortMode(GridSortMode.SingleColumn);
          })
          .ClientDetailTemplateId("Details")
          .Filterable()
          .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Events(e => e.Error("Error"))
              .Sort(sort => sort.Add("CounselorID").Descending())
              .Model(model => model.Id(p => p.CounselorID))
              .Read(read => read.Action("Counselors_Read", "Counselor"))
              .Create(create => create.Action("Counselors_Create", "Counselor", new { area = "Admin" }).Data("SummeryData"))
              .Update(update => update.Action("Counselors_Update", "Counselor", new { area = "Admin" }).Data("SummeryData"))
              .Destroy(destroy => destroy.Action("Counselors_Destroy", "Counselor"))
          )
        )
    </div>
</div>


<script id="Details" type="text/kendo-tmpl">
    @(Html.Kendo().TabStrip()
                .Name("tabStrip_#=CounselorID#")
                .SelectedIndex(0)
                .TabPosition(TabStripTabPosition.Top)
                .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                .Items(items =>
                {

                    items.Add().Text("زمانبندی مشاوره حضوری").Content(
                                                    @<Text>
                                                    <div class="k-rtl">
                                                        @(Html.Kendo().Grid<Schedule>()
                                                       .Name("Schedule_#=CounselorID#")
                                                       .Events(e => e.Edit("Edit_Schedule"))
                                                       .Columns(columns =>
                                                       {

                                                           columns.Bound(c => c.day);
                                                           columns.Bound(c => c.StartTimeRange1);
                                                           columns.Bound(c => c.EndTimeRange1);
                                                           columns.Bound(c => c.StartTimeRange2);
                                                           columns.Bound(c => c.EndTimeRange2);
                                                           columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                                                       })
                                                      .ToolBar(toolbar =>
                                                      {
                                                          toolbar.Create().Text("افزودن زمان مشاوره");
                                                      })
                                                      .Groupable()
                                                      .ColumnMenu()

                                                      .Editable(editable =>
                                                      {
                                                          editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                                                          editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                                      }
                                                      )
                                                      .Pageable(pageable => pageable
                                                           .Refresh(true)
                                                           .PageSizes(true)
                                                           .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                           .PageSizes(new int[] { 10, 20, 30 }))
                                                      .Navigatable()
                                                      .Selectable(selectable =>
                                                      {
                                                          selectable.Mode(GridSelectionMode.Single);
                                                          selectable.Type(GridSelectionType.Row);
                                                      })
                                                      .Sortable(sortable =>
                                                      {
                                                          sortable.SortMode(GridSortMode.SingleColumn);
                                                      })
                                                      .Filterable()
                                                      .Scrollable(s => s.Height("auto").Enabled(false))
                                                      .DataSource(dataSource => dataSource
                                                          .Ajax()
                                                          .Events(e => e.Error("Error"))
                                                          .Sort(sort => sort.Add("ScheduleID").Descending())
                                                          .Model(model => model.Id(p => p.ScheduleID))
                                                          .Read(read => read.Action("Schedules_Read", "Schedule", new { CI = "#=CounselorID#" }))
                                                          .Create(create => create.Action("Schedules_Create", "Schedule", new { CI = "#=CounselorID#" }))
                                                          .Update(update => update.Action("Schedules_Update", "Schedule"))
                                                          .Destroy(destroy => destroy.Action("Schedules_Destroy", "Schedule"))
                                                      ).ToClientTemplate()
                                                        )
                                                    </div>
                                                    </Text>
                                                     );

                                                     items.Add().Text("گروه‌ها").Content(
                                                            @<Text>
                                                            <div class="k-rtl">

                                                               @(Html.Kendo().Grid<CategoryAttach>()
                                                               .Name("CategoryAttach_#=CounselorID#")
                                                                .Events(e => e.Edit("Edit_CategoryAttach"))
                                                               .Columns(columns =>
                                                               {

                                                                   columns.ForeignKey(p => p.CategoryID, (System.Collections.IEnumerable)ViewData["Categories"], "CategoryID", "Name").Title("گروه");
                                                                   columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                                                               })
                                                              .ToolBar(toolbar =>
                                                              {
                                                                  toolbar.Create().Text("افزودن گروه");
                                                              })
                                                              .Groupable()
                                                              .ColumnMenu()

                                                              .Editable(editable =>
                                                              {
                                                                  editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                                                                  editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                                              }
                                                              )
                                                              .Pageable(pageable => pageable
                                                                   .Refresh(true)
                                                                   .PageSizes(true)
                                                                   .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                                                   .PageSizes(new int[] { 10, 20, 30 }))
                                                              .Navigatable()
                                                              .Selectable(selectable =>
                                                              {
                                                                  selectable.Mode(GridSelectionMode.Single);
                                                                  selectable.Type(GridSelectionType.Row);
                                                              })
                                                              .Sortable(sortable =>
                                                              {
                                                                  sortable.SortMode(GridSortMode.SingleColumn);
                                                              })
                                                              .Filterable()
                                                              .Scrollable(s => s.Height("auto").Enabled(false))
                                                              .DataSource(dataSource => dataSource
                                                                 .Ajax()
                                                                  .Sort(sort => sort.Add("CategoryAttachID").Descending())
                                                                  .Model(model => model.Id(p => p.CategoryAttachID))
                                                                  .Read(read => read.Action("CategoryAttach_Read", "CategoryAttach" , new { Co = "#=CounselorID#" }))
                                                                  .Create(create => create.Action("CategoryAttach_Create", "CategoryAttach" , new { Co = "#=CounselorID#" }))
                                                                  .Update(update => update.Action("CategoryAttach_Update", "CategoryAttach"))
                                                                  .Destroy(destroy => destroy.Action("CategoryAttach_Destroy", "CategoryAttach"))
                                                              ).ToClientTemplate()
                                                                )
                                                            </div>
                                                            </Text>
                                                  );





                                                  }).ToClientTemplate())

</script>


<script>
    function SummeryData() {
        return { description: $("#Summery_Summery").val() }
    }
    function Edit(e) {

        $("body").on("click", "[role='row']", function (e) {

            var grid = $("#grid").getKendoGrid(e);
            var item = grid.dataItem($(e.target).closest("tr"))
            var editor = $("#Summery_Summery").data("kendoEditor");
            editor.value(item.Summery);
        });

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن مشاور"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش مشاور"
            });
        }

        $('iframe').contents().find("head")
            .append($("<style>@@font-face {font-family: 'YekanNumber';font-weight: 500;src: url('../../../../font/IRANSansWebFaNum_Medium.woff') format('woff');}  @@font-face {font-family: IRANSans;font-style: normal;font-weight: 100;src:  url('../../../../fonts/woff/IRANSansWeb_Medium.woff') format('woff');}  body{font-family:YekanNumber,IRANSans !important; font-size: 13px !important; line-height: 1.5;text-align: justify;padding: 4px 8px 4px 8px;} body p span{font-size: 16px !important;}</style>"));
    }
    function SuccessUpload(e) {
        var ImageName = e.response.ImageName;
        $("#Image").val(ImageName).trigger("change");
    }
    function SuccessThumbnailUpload(e) {
        var ImageName = e.response.ImageName;
        $("#Thumbnail").val(ImageName).trigger("change");
    }

    function RemoveImage(e) {
        console.log(e)
    }
    function onUpload(e) {
        console.log(e)
    }
    function Error(e) {
        //if (e.errors) {
        //    var message = "خطای رخ داده:\n";
        //    $.each(e.errors, function (key, value) {
        //        if ('errors' in value) {
        //            $.each(value.errors, function () {
        //                message += this + "\n";
        //            });
        //        }
        //    });
        //    alert(message);
        //}
    }
    function Edit_Schedule(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[2]).hide();
        $(e.container["0"].firstChild.children[3]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "زمان بندی مشاور"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش زمان بندی"
            });
        }
    }

     function Edit_CategoryAttach(e) {
         var kendoWindow = e.container.data("kendoWindow");
         if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن گروه"
            });

        } else {
            kendoWindow.setOptions({
                title: "ویرایش گروه"
            });
        }

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();       
        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();
        $(e.container["0"].firstChild.children[6]).hide();
        $(e.container["0"].firstChild.children[7]).hide();
       
    }


</script>

